application_form_errors = {
	'name':'Пожалуйста, укажите ваше имя',
	'organisation':'Пожалуйста, укажите организацию',
	'email':'Убедитесь, что адрес эл. почты верный',
	'telephone':'Убедитесь, что телефон верный',
	'inn':'Ошибка в ИНН',
	'kpp':'Ошибка в КПП'
}
function application_form_change_label(type, input) {
	if (type=='error') {
		$(input).parent().parent().find('label').addClass('error_label').text(application_form_errors[$(input).prop('id')]);
	}
	if (type=='confirmed') {
		$(input).parent().parent().find('label').removeClass('error_label').text(labels[$(input).prop('id')]);
	}
}
function validate(id) {
	var that = document.getElementById(id);
	if (that) {
		if ($(that).prop('required') && $(that).prop('disabled')==false || $(that).hasClass('required')) {
			var value = $.trim($(that).val());
			if (value.length>0) {
				var type = $(that).data('input-type');
				if (typeof type==='undefined') {
					application_form_change_label('confirmed', that);
					$(that).removeClass('error_input').addClass('confirmed_input');
				} else {
					if (type=='email') {
						var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
						if (regex.test(value)==false) {
							application_form_change_label('error', that);
							$(that).removeClass('confirmed_input').addClass('error_input');
						} else {
							application_form_change_label('confirmed', that);
							$(that).removeClass('error_input').addClass('confirmed_input');
						}
					}
					if (type == 'telephone') {
						var regex = /^((8|\+7)[\- ]?)?(\(?\d{3}\)?[\- ]?)?[\d\- ]{7,10}$/;
						if (regex.test(value)==false) {
							application_form_change_label('error', that);
							$(that).removeClass('confirmed_input').addClass('error_input');
						} else {
							application_form_change_label('confirmed', that);
							$(that).removeClass('error_input').addClass('confirmed_input');
						}
					}
					if (type == 'inn') {
						if (value.length<10 || value.length==11) {
							application_form_change_label('error', that);
							$(that).removeClass('confirmed_input').addClass('error_input');
						} else {
							application_form_change_label('confirmed', that);
							$(that).removeClass('error_input').addClass('confirmed_input');
						}
					}
					if (type == 'kpp') {
						if (value.length<9) {
							application_form_change_label('error', that);
							$(that).removeClass('confirmed_input').addClass('error_input');
						} else {
							application_form_change_label('confirmed', that);
							$(that).removeClass('error_input').addClass('confirmed_input');
						}
					}
				}
			} else {
				if ($(that).hasClass('error_input')==false) {
					application_form_change_label('error', that);
					$(that).removeClass('confirmed_input').addClass('error_input');
				}
			}
		}
	}
}
function hide_application_form() {
	$('body').find('.application_form_box_wrap').fadeOut(200, function() {
		$(this).remove();
	});
}

$('document').ready(function() {
	//создать форму
	$('.show_application_form').click(function() {
		$.get('/ajax/application_form_content.php', {product:$(this).prop('id')}, function(data) {
			$('body').append(data);
			$('body').find('.application_form_box_wrap, .application_form_box').animate({'opacity':'1'}, 200);
			//сбор labels формы
			var applicationBox = $('body').find('.application_form_box');
			labels = {};
			$(applicationBox).find('label').each(function() {
				labels[$(this).prop('for')]=$(this).text();
			});
			//В версиях IE<10 HTML атрибут "required" не работает. Поэтому вот такой фикс
			if(navigator.appVersion.indexOf("MSIE 8.")!=-1 || navigator.appVersion.indexOf("MSIE 9.")!=-1) {
				$(applicationBox).find('input[required=""], input[required]').addClass('required').prop('required', false);
			}
		});
	});
	//убить форму
	$('body').on('click', '.popup_close', function() {
		hide_application_form();
	});
	//поведение поля "КПП" в зависимости от поля "ИНН"
	$('body').on('keyup', '#inn', function() {
		if ($(this).val().length>10) {
			$('body').find('#kpp').prop('disabled', true);
			$('body').find('#kpp_tr').stop().animate({'opacity':'0'}, function() {
				$(this).hide();
			});
		}
		if ($(this).val().length==10) {
			$('body').find('#kpp').prop('disabled', false);
			$('body').find('#kpp_tr').show().stop().animate({'opacity':'1'});
		}
		if ($(this).val().length<10) {
			$('body').find('#kpp').prop('disabled', true);
			$('body').find('#kpp_tr').show().stop().animate({'opacity':'1'});
		}
	});
	//валидация формы и сбор данных
	$('body').on('click', '#submit_application_form', function() {
		$('.application_form_box').find('input[type="text"]').each(function() {
			validate($(this).prop('id'));
		});
		var applicationBox = $('body').find('.application_form_box');
		if ($('.error_input').length==0) {
			var form_data = {};
			$(applicationBox).find('.input').not(':disabled').each(function() {
				form_data[$(this).prop('id')] = this.value;

				if ($(this).prop('id')==="name") { name=this.value; }
				if ($(this).prop('id')==="telephone") { phone=this.value; }
				if ($(this).prop('id')==="organisation") { company=this.value; }
				if ($(this).prop('id')==="inn") { inn=this.value; }
				if ($(this).prop('id')==="kpp") { kpp=this.value; }
				if ($(this).prop('id')==="product") { product=this.value; }
				if ($(this).prop('id')==="email") { email=this.value; }

			});
			//собрали данные формы, можно предпринимать действия
			console.log(form_data);




			// todo пишем лид на портал если http://astralnalog.ru/products/certification_center
			/*if (1==2) {
			console.log("!!! http://astralnalog.ru/products/certification_center");
			data=form_data;//$(this).serializeArray();
			console.log( data );

			var ii=-1;

			vsend="https://astralm.ru/bitrix/ajax/w_lead.php?"+
				"FIO="+encodeURIComponent(name)
				+"&PHONE=222"+encodeURIComponent(phone)
				+"&EMAIL="+encodeURIComponent(email)
				+"&COMPANY="+encodeURIComponent(company)
				+"&INN="+encodeURIComponent(inn)
				+"&KPP="+encodeURIComponent(kpp)
				+"&UNAME=431";

			vsendlog="https://astralm.ru/bitrix/ajax/w_lead.php?"+
				"FIO="+(name)
				+"&PHONE=222"+(phone)
				+"&EMAIL="+(email)
				+"&COMPANY="+(company)
				+"&INN="+(inn)
				+"&KPP="+(kpp)
				+"&UNAME=431";
			console.log("vsendlog="+vsendlog);

			$.post( vsend, function( data ) {
				console.log("posted ok");//alert(1);//$( ".result" ).html( data );
			});
			}*/
			//else
			//	{
					$.get('/ajax/application_form_handler.php', {form_data: form_data}, function (res) {
						console.log("get success ...");
						console.log(res);
						$('.application_form_box').empty().append('<span class="popup_close">х</span><h1>Отправлено</h1><p style="font-family: Verdana, Helvetica; font-size: 120%; text-align: center;">Спасибо, ваша заявка принята.</p>');
					});
			//	}


		} else {
			$(applicationBox).find('.error_input:first').focus();
		}
	});
});
